/* TCP-wrapper-based ACLs.
   Copyright (C) 2011 Sergey Poznyakoff

   JOH is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 3, or (at your option)
   any later version.

   JOH is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with JOH.  If not, see <http://www.gnu.org/licenses/>. */

#include "joh.h"
#include <tcpd.h>

int
connection_allowed(int fd, const char *srvname)
{
	struct request_info req;

	request_init(&req,
		     RQ_DAEMON, srvname,
		     RQ_FILE, fd, NULL);
	fromhost(&req);
	return hosts_access(&req);
}
